package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdGlorgbook;
import com.dhcc.finance.main.domain.CwBdRecordGlorgbook;
import com.dhcc.finance.main.domain.CwBdRecordGlorgbookExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdRecordGlorgbookMapper {
    long countByExample(CwBdRecordGlorgbookExample example);

    int deleteByExample(CwBdRecordGlorgbookExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdRecordGlorgbook record);

    int insertSelective(CwBdRecordGlorgbook record);

    List<CwBdRecordGlorgbook> selectByExample(CwBdRecordGlorgbookExample example);

    CwBdRecordGlorgbook selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdRecordGlorgbook record, @Param("example") CwBdRecordGlorgbookExample example);

    int updateByExample(@Param("record") CwBdRecordGlorgbook record, @Param("example") CwBdRecordGlorgbookExample example);

    int updateByPrimaryKeySelective(CwBdRecordGlorgbook record);

    int updateByPrimaryKey(CwBdRecordGlorgbook record);
    /**
     * Title: selectByPrjectcode 根据子项目id获取帐套记录信息<br/>  
     * Description: TODO <br/>
     * @author lipeng 
     * @param xtzxmbh
     * @return List<CwBdRecordGlorgbook>
     * @date 2019年7月31日 下午4:32:15
     */
    List<CwBdRecordGlorgbook> selectByPrjectcode(String xtzxmbh);  
    
    /**
     * Title: selectGlorgbook <br/>  
     * Description: TODO查询帐套表的全部信托子项目编号和帐套名称 <br/>
     * @author lipeng 
     * @return List<CwBdGlorgbook>
     * @date 2019年7月31日 下午4:37:56
     */
    List<CwBdGlorgbook>  selectGlorgbookAllInfo();
    /**
     * 功能描述：批量插入建账记录
     * @param CwBdRecordGlorgbookList
     * @return int
     * @author dml
     * @date 2020年3月9日 下午2:32:21
     * @修改日志：
     */
    int insertDataBatch(@Param("list")List<CwBdRecordGlorgbook> cwBdRecordGlorgbookList);
    
    /**
     * 功能描述：批量修改建账记录
     * @param CwBdRecordGlorgbookList
     * @return int
     * @author dml
     * @date 2020年3月9日 下午2:32:21
     * @修改日志：
     */
    int updateDataBatch(@Param("list")List<CwBdRecordGlorgbook> cwBdRecordGlorgbookList);
}